| optoMDC

Public Member Functions | Public Attributes | List of all members
optoKummenberg.connections.Channel Class Reference

## Public Member Functions
def | __init__ (self, board, int channel_number=0)
def | GetControlMode (self)
def | SetControlMode (self, UnitType or str control_mode)
def | initialize_channel (self)

## Public Attributes
| Manager
| StaticInput
| InputConditioning
| FeedThrough
| LinearOutput

## Detailed Description

    Generic Channel object with default systems and commands. Such as StaticInput, SetControlMode, etc

    Parameters
    ----------
    board
        connections.Board object
    channel: int
        channel identifier, required for system and register identification

    Raises
    ------
    none

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.connections.Channel.__init__ | ( |  | self,
|  |  | board,
|  | int | channel_number = `0`
| ) |  |

## Member Function Documentation

## ◆ GetControlMode()

def optoKummenberg.connections.Channel.GetControlMode | ( |  | self | ) |

    Retrieves board control mode for this channel.

    Parameters
    ----------
    none

    Raises
    ------
    none

    Returns
    -----
    UnitType
        Control mode options set by register_tables.UnitType

## ◆ initialize_channel()

def optoKummenberg.connections.Channel.initialize_channel | ( |  | self | ) |

## ◆ SetControlMode()

def optoKummenberg.connections.Channel.SetControlMode | ( |  | self,
|  | UnitType or str | control_mode
| ) |  |

    Sets board control mode for this channel.

    Parameters
    ----------
    control_mode: UnitType or str
        Mode to set must be in register_tables.UnitType or appropriate string format given by
        UnitType enum attribute names.

    Raises
    ------
    none

    Returns
    -----
    str
        Firmware response or error information

## Member Data Documentation

## ◆ FeedThrough

optoKummenberg.connections.Channel.FeedThrough

## ◆ InputConditioning

optoKummenberg.connections.Channel.InputConditioning

## ◆ LinearOutput

optoKummenberg.connections.Channel.LinearOutput

## ◆ Manager

optoKummenberg.connections.Channel.Manager

## ◆ StaticInput

optoKummenberg.connections.Channel.StaticInput

The documentation for this class was generated from the following file:

- C:/Users/johnathon.barhydt/PycharmProjects/138-882-00_optoMDC/src/main/python/optoKummenberg/connections.py